Bug 1193143 - systemd-journal-upload not starting
Summary: systemd-journal-upload not starting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-16 16:26 UTC by Duncan Innes
Modified: 2015-04-02 15:37 UTC (History)
8 users (show)

Fixed In Version: systemd-216-24.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-02 15:37:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Duncan Innes 2015-02-16 16:26:15 UTC
Description of problem: systemd-journal-upload doesn't start


Version-Release number of selected component (if applicable): systemd-216-20.fc21.x86_64


How reproducible: Every time so far


Steps to Reproduce:
1. Create /etc/systemd/system/systemd-journal-upload.service.d/systemd-journal-upload.conf with contents:
[Service]
ExecStart=
ExecStart=/usr/lib/systemd/systemd-journal-upload \
          --url=http://localhost \
          --save-state=/var/lib/systemd/journal-upload/state
2. systemctl daemon-reload
3. systemctl restart systemd-journal-upload.service

Actual results: systemd[1]: systemd-journal-upload.service: main process exited, code=exited, status=217/USER


Expected results: Expect process to start properly


Additional info: If I add the line
---
User=root
---
to the end of my /etc/systemd/system/systemd-journal-upload.service.d/systemd-journal-upload.conf file, the process starts up properly.  There appears to be no user: systemd-journal-upload as specified in: /usr/lib/systemd/system/systemd-journal-upload.service.
I can understand the default unit file not working until a suitable --url flag is specified for the process, but expected other default settings to work OK.

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-03-23 03:20:16 UTC
This is a packaging error: systemd-journal-upload was supposed to be in systemd-journal-gateway subpackage. And some parts were (the scripts to create the user, a man page), and some parts were left in the main package by mistake. systemd-journal-gatewayd and systemd-journal-remote and systemd-journal-upload are all moved to systemd-journal-gatewayd subpackage now.

(In reply to Duncan Innes from comment #0)
> Additional info: If I add the line
> ---
> User=root
You shouldn't do that. There are no known vulnerabilities in those utils, but running as a non-root user provides significant security benefits in case something goes wrong.

Comment 2 Fedora Update System 2015-03-26 14:30:28 UTC
systemd-216-23.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/systemd-216-23.fc21

Comment 3 Fedora Update System 2015-03-30 07:03:59 UTC
Package systemd-216-24.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-216-24.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4991/systemd-216-24.fc21
then log in and leave karma (feedback).

Comment 4 Duncan Innes 2015-04-02 11:17:06 UTC
Sorry - won't have access to my Fedora test rig as on holiday until mid April.  Will test once back.

Comment 5 Fedora Update System 2015-04-02 15:37:32 UTC
systemd-216-24.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.